function setWepProps(buttonType, weps){
	
	weps.prop1 = wep.omn.siteUrl;
	weps.prop2 = wep.omn.country;
	weps.prop3 = wep.omn.language;
	weps.prop4 = wep.omn.brand;
	weps.prop5 = wep.omn.audience;
	weps.prop45 = weps.pageName;
	weps.eVar16 = weps.pageName;
	weps.eVar17 = weps.pageName;
	weps.eVar45 = weps.pageName;
	weps.t(wep, 'o', 'WEP ' + buttonType);
	
}

function omnitureWEP(buttonType, itemId, itemTitle, wepPaneClicked){

		if(wepPaneClicked == true){
			wepString = 'wep';
		}else{
			wepString = 'wephtml';
		}
		
		if(wep.omn.track){
			var weps=s_gi(wep.omn.trackingAccount);
			if(buttonType == 'Shop' && itemId == 'ICE:allshops_SSS'){
				weps.linkTrackVars = 's.pageName,prop1,prop2,prop3,prop4,prop5,prop45,eVar16,eVar17,eVar45,events'; 
				weps.pageName =  wep.siteId + ' : '+ wepString + ' : '+ 'Store' +' : Click to SonyStyle';
				weps.events = event12;
				buttonType ='Store'
			}else if(buttonType == 'Editorial'){
				weps.linkTrackVars = 's.pageName,prop1,prop2,prop3,prop4,prop5,prop45,eVar16,eVar17,eVar45'; 
				weps.pageName =  wep.siteId + ' : '+ wepString + ' : '+ 'My Sony' +' : '+ itemId.substring(itemId.lastIndexOf(":")+1);
				buttonType ='My Sony'
			}else if(buttonType == 'Custom'){
				weps.linkTrackVars = 's.pageName,prop1,prop2,prop3,prop4,prop5,prop45,eVar16,eVar17,eVar45'; 
				weps.pageName =  wep.siteId + ' : '+ wepString + ' : '+ 'Club Vaio' +' : '+ itemTitle;
				buttonType ='Club Vaio'
			}else if(buttonType == 'Products' || buttonType == 'Support'){
				weps.linkTrackVars = 's.pageName,prop1,prop2,prop3,prop4,prop5,prop45,eVar16,eVar17,eVar45'; 
				weps.pageName =  wep.siteId + ' : '+ wepString + ' : '+ buttonType +' : '+ itemId.substring(itemId.lastIndexOf(".")+1);
			}else{
				weps.linkTrackVars = 's.pageName,prop1,prop2,prop3,prop4,prop5,prop45,eVar16,eVar17,eVar45'; 
				weps.pageName =  wep.siteId + ' : '+ wepString + ' : '+ buttonType +' : '+ itemTitle;
			}
			
			setWepProps(buttonType,weps);
		 }	
}	
		
function omnitureWEPPaneClick(buttonType, itemId, itemTitle){
	omnitureWEP(buttonType, itemId, itemTitle, true);
}


function omnitureWEPAccessibleClick(itemId, itemTitle){
	omnitureWEP(wep.currentButtonType, itemId, itemTitle, false);
}	

function omnitureWEPButtonClick(buttonType) {
	
	if(wep.omn.track){
		var weps=s_gi(wep.omn.trackingAccount);
		
		weps.linkTrackVars = 's.pageName,prop1,prop2,prop3,prop4,prop5,prop45,eVar16,eVar17,eVar45'; 
		if(buttonType == 'Shop'){
			weps.pageName = wep.siteId + ' : '+'wephtml : '+  'Store';
			buttonType ='Store';
		}else if(buttonType == 'Editorial'){
			weps.pageName = wep.siteId + ' : '+'wephtml : '+ 'My Sony';
			buttonType ='My Sony';
		}else if(buttonType == 'Custom'){
			weps.pageName = wep.siteId + ' : '+'wephtml : '+ 'Club Vaio';
			buttonType ='Club Vaio';
		}else{
			weps.pageName = wep.siteId + ' : '+'wephtml : '+ buttonType;
		}
		setWepProps(buttonType,weps);
	}
}


